export interface IMenuItem {
  title: string;
  target: string;
  children?: IMenuItem[];
}

export type SocialNetworks =
  | "instagram"
  | "twitter"
  | "youtube"
  | "x"
  | "gitlab"
  | "github"
  | "linkedin"
  | "mastodon"
  | "facebook"
  | "xing"
  | "website"
  | "email";

export interface ISocialMediaItem {
  href: string;
  type: SocialNetworks;
}

export interface IPolicy {
  title: string;
  href: string;
}

export interface ISupportedBy {
  alt?: string;
  href?: string;
  img: string;
}
