import React, { createContext } from "react";
import { ILinkContext } from "@interfaces/ILinkContext";

// eslint-disable-next-line @typescript-eslint/no-non-null-assertion
export const LinkContext = createContext<ILinkContext>({
  linkRenderFn: (linkChildren, linkTarget, linkProps) => (
    <a href={linkTarget} {...linkProps}>
      {linkChildren}
    </a>
  ),
});
